Package org.apache.jasper.el

## Class JspMethodExpression

- java.lang.Object
- - jakarta.el.Expression
  - - jakarta.el.MethodExpression
    - - org.apache.jasper.el.JspMethodExpression

All Implemented Interfaces:
  `Externalizable`, `Serializable`

    public final class JspMethodExpression
    extends MethodExpression
    implements Externalizable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`JspMethodExpression()`
`JspMethodExpression​(String mark, MethodExpression target)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`String` `getExpressionString()`
`MethodInfo` `getMethodInfo​(ELContext context)`
`MethodReference` `getMethodReference​(ELContext context)` Obtain the `MethodReference` for the method to which this method expression resolves.
`int` `hashCode()`
`Object` `invoke​(ELContext context, Object[] params)`
`boolean` `isLiteralText()`
`boolean` `isParametersProvided()`
`void` `readExternal​(ObjectInput in)`
`void` `writeExternal​(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JspMethodExpression

    public JspMethodExpression()

#### JspMethodExpression

    public JspMethodExpression​(String mark,
                               MethodExpression target)

### Method Detail

#### getMethodInfo

    public MethodInfo getMethodInfo​(ELContext context)
                             throws NullPointerException,
                                    PropertyNotFoundException,
                                    MethodNotFoundException,
                                    ELException

Specified by:
  `getMethodInfo` in class `MethodExpression`
Parameters:
  `context` - The EL context for this evaluation
Returns:
  Information about the method that this expression resolves to
Throws:
  `NullPointerException` - If the supplied context is `null`
  `PropertyNotFoundException` - If a property/variable resolution failed because no match was found or a match was found but was not readable
  `MethodNotFoundException` - If no matching method can be found
  `ELException` - Wraps any exception throw whilst resolving the property

#### invoke

    public Object invoke​(ELContext context,
                         Object[] params)
                  throws NullPointerException,
                         PropertyNotFoundException,
                         MethodNotFoundException,
                         ELException

Specified by:
  `invoke` in class `MethodExpression`
Parameters:
  `context` - The EL context for this evaluation
  `params` - The parameters with which to invoke this method expression
Returns:
  The result of invoking this method expression
Throws:
  `NullPointerException` - If the supplied context is `null`
  `PropertyNotFoundException` - If a property/variable resolution failed because no match was found or a match was found but was not readable
  `MethodNotFoundException` - If no matching method can be found
  `ELException` - Wraps any exception throw whilst resolving the property or coercion of the result to the expected return type fails

#### getMethodReference

    public MethodReference getMethodReference​(ELContext context)

Description copied from class: `jakarta.el.MethodExpression`
Obtain the `MethodReference` for the method to which this method expression resolves.

Overrides:
  `getMethodReference` in class `MethodExpression`
Parameters:
  `context` - The EL context for this evaluation
Returns:
  This default implementation always returns `null`

#### isParametersProvided

    public boolean isParametersProvided()

Overrides:
  `isParametersProvided` in class `MethodExpression`
Returns:
  This default implementation always returns `false`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in class `Expression`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `Expression`

#### getExpressionString

    public String getExpressionString()

Specified by:
  `getExpressionString` in class `Expression`

#### isLiteralText

    public boolean isLiteralText()

Specified by:
  `isLiteralText` in class `Expression`

#### writeExternal

    public void writeExternal​(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal​(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`